import { Component, OnInit } from '@angular/core';
import {Router} from '@angular/router';
import { GroupBoilerplate } from 'src/app/models/boilerplate.model';
import { BoilerplateService } from 'src/app/services/boilerplate.service';
import { NotifierService } from "angular-notifier";

@Component({
  selector: 'app-add-groupboil',
  templateUrl: './add-groupboil.component.html',
  styleUrls: ['./add-groupboil.component.scss']
})
export class AddGroupboilComponent implements OnInit {

  groupboilerplate: GroupBoilerplate = {
    title_bgroup: "",
  };
  submitted = false;
  private readonly notifier: NotifierService;

  constructor(private boilerplatelService: BoilerplateService, private router:Router, notifierService: NotifierService) {
    this.notifier = notifierService;
   }

  ngOnInit(): void {
  }
  saveBoilerplate(): void {
    const data = {
      title_bgroup: this.groupboilerplate.title_bgroup,
    };

    this.boilerplatelService.creategroupboil(data)
      .subscribe(
        response => {
          this.notifier.notify("success",(JSON.stringify(response)));
          this.submitted = true;
          this.router.navigate(['/groupboilerplates']);
        },
        error => {
          console.log(error);
          //error, warning, success, info, default
          this.notifier.notify("warning",(JSON.stringify(error["error"]["title"][0])));
        });
  }
  newBoilerplate(): void {
    this.submitted = false;
    this.groupboilerplate = {
      title_bgroup: "",

    };
  }

}
